summaryrefslogtreecommitdiffstats
path: root/packaging/android
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2017-12-24 12:41:49 -0800
committerGravatar Dirk Hohndel <dirk@hohndel.org>2017-12-24 13:50:59 -0800
commit5eec251be8c8d208fbee103988b9f660a1999354 (patch)
tree1c4ccc654992dbf273943487d2daf57a32012489 /packaging/android
parent9df88f0145f45b8a4de5788509f58f17060e6b5d (diff)
downloadsubsurface-5eec251be8c8d208fbee103988b9f660a1999354.tar.gz
Travis: hack around Android build failuers
For some reason accepting the licenses for the SDK appears to fail. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'packaging/android')
-rwxr-xr-xpackaging/android/android-build-wrapper.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/packaging/android/android-build-wrapper.sh b/packaging/android/android-build-wrapper.sh
index 8a99aa54e..cbbdb8d9b 100755
--- a/packaging/android/android-build-wrapper.sh
+++ b/packaging/android/android-build-wrapper.sh
@@ -13,6 +13,8 @@
# Qt/5.9/android_armv7/lib/cmake/Qt5Core/Qt5CoreConfigExtras.cmake
# (this script tries to do this automatically)
+set -x # make debugging Travis easier
+
exec 1> >(tee ./build.log) 2>&1
USE_X=$(case $- in *x*) echo "-x" ;; esac)
@@ -22,7 +24,7 @@ USE_X=$(case $- in *x*) echo "-x" ;; esac)
QT_VERSION=5.9
LATEST_QT=5.9.1
NDK_VERSION=r14b
-SDK_VERSION=3859397
+SDK_VERSION=3859397 # if you change this version, you'll likely have to change the android-sdk-license key fallback below
ANDROID_NDK=android-ndk-${NDK_VERSION}
ANDROID_SDK=android-sdk-linux
@@ -75,7 +77,9 @@ if [ ! -d $ANDROID_SDK ] ; then
mkdir $ANDROID_SDK
pushd $ANDROID_SDK
unzip -q ../$SDK_TOOLS
- yes | tools/bin/sdkmanager --licenses
+ yes | tools/bin/sdkmanager --licenses > /dev/null 2>&1 || echo "d56f5187479451eabf01fb78af6dfcb131a6481e" > licenses/android-sdk-license
+ cat licenses/android-sdk-license
+ echo ""
# FIXME: Read these from build.sh varables, or install them there.
tools/bin/sdkmanager tools platform-tools 'platforms;android-27' 'build-tools;25.0.3'
popd